/* FRTech Start Responsive Optimized */
/* -------------- Start Fonts ------------------------- */
@media (max-width: 575.98px) {
  html {
    font-size: 12px;
  }
}

@media (min-width: 576px) and (max-width: 1199.98px) {
  html {
    font-size: 14px;
  }
}

@media (min-width: 1200px) and (max-width: 1319.98px) {
  html {
    font-size: 15px;
  }
}
/* -------------- End Fonts --------------------------- */


/* -------------- Start Styles General : < 1200px ------------------------- */
@media (max-width: 1199.98px) {
  html {
    scroll-padding-top: 3em;    
  }
  .container {
    --bs-gutter-x: 2rem;
  }
  .container  * , .container .row  *{
    text-shadow: none !important;
    -webkit-filter: none !important;
            filter: none !important;
  }
  .frtech-hero .texts .action-btn a,
  .frtech-contact-us .text a,
  .frtech-footer .top,
  #signup-modal .top,
  #signup-modal .back-btn,
  .frtech-contact-us .all-contents .text-image .btn,
  .frtech-footer .contents,
  .frtech-about-us .all-contents {
      backdrop-filter: blur(1px) !important;
      -webkit-backdrop-filter: blur(1px) !important;
      background-color: rgba(36, 36, 36, 0.96) !important; /* جایگزین افکت شیشه‌ای */
      -webkit-box-shadow: 0 0.625rem 1.875rem rgba(0,0,0,0.5) !important;
              box-shadow: 0 0.625rem 1.875rem rgba(0,0,0,0.5) !important; /* سبک کردن سایه */
  }
  header:before, header:after,
  .frtech-services:before,
  .frtech-portfolio:before, .frtech-portfolio:after,
  .frtech-about-us:after, .frtech-about-us:before,
  .frtech-footer:after, .frtech-footer:before {
    background-size: cover !important;
    -webkit-filter: none;
            filter: none;
    opacity: 0.1;
    background: -o-linear-gradient(116deg, hsl(329.8, 100%, 61%) 0%, hsla(329.8, 100%, 61%, 0) 40%, hsla(329.8, 100%, 61%, 0) 60%, hsl(329.8, 100%, 61%) 100%) !important;
    background: linear-gradient(-26deg, hsl(329.8, 100%, 61%) 0%, hsla(329.8, 100%, 61%, 0) 40%, hsla(329.8, 100%, 61%, 0) 60%, hsl(329.8, 100%, 61%) 100%) !important;
  }
  .frtech-hero,
  .frtech-services .container,
  .frtech-about-us .container,
  .frtech-portfolio .container,
  .frtech-contact-us,
  .frtech-footer,
  .archive-page .frtech-about-us .container{
    padding-top: calc(var(--bs-gutter-x) * 4);
    padding-bottom: calc(var(--bs-gutter-x) * 3.583);
  }
  .general-header {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    font-size: 1.8rem;
    -webkit-box-pack: center;
        -ms-flex-pack: center;
            justify-content: center;
  }
  .frtech-navigation .nav-item {
    margin-left: 0;
  }
  .frtech-navigation .nav-item a {
  padding: 0.5rem 0.88em !important;
  padding-bottom: 1.4rem !important;
  }
  .frtech-hero .texts .description,
  .frtech-about-us .all-contents .text-image,
  .frtech-about-us .all-contents .text-image img , 
  .archive-page .box{
    width: 100% !important;
  }
  .frtech-hero .image,
  .frtech-hero .texts {
    -ms-flex-preferred-size: 100%;
        flex-basis: 100%;
  }
  .frtech-hero .texts {
    text-align: center;
    padding-right: calc(var(--bs-gutter-x) * .5);
  }
  .frtech-hero .container .image .ellipse-big,
  header .ellipse-down,
  header .ellipse-up {
    display: none;
  }
  .frtech-hero .texts .action-btn,
  .frtech-hero .image {
    -webkit-box-pack: center;
        -ms-flex-pack: center;
            justify-content: center;
    gap: 1rem;
  }
  .frtech-portfolio .index-swip {
     /*! height: 98% !important; */
    padding: 0;
  }
  .frtech-portfolio .container {
    padding-bottom: calc(var(--bs-gutter-x) * 0.9);
  }
  .frtech-portfolio .full-width{
    display: none;
  }
  .frtech-portfolio .swiper-button-prev,
  .frtech-portfolio .swiper-button-next {
    background: -webkit-gradient(linear, left bottom, left top, from(#E5B71E), to(hsl(46.5, 25.7%, 58.6%)));
    background: -o-linear-gradient(bottom, #E5B71E 0%, hsl(46.5, 25.7%, 58.6%) 100%);
    background: linear-gradient(0deg, #E5B71E 0%, hsl(46.5, 25.7%, 58.6%) 100%);
    border-radius: 50%;
    width: 56px !important;
    height: 56px !important;
    bottom: 0;
    top: auto;
    margin: 0 !important;
  }
  .frtech-portfolio .swiper-buttons{
    position: relative;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
        -ms-flex-pack: center;
            justify-content: center;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    max-width: 100%;
    top: -2rem;
    gap: 0 5rem;
    width: 100%;
  }
  .frtech-portfolio .swiper-buttons .swiper-button-next,
  .frtech-portfolio .swiper-buttons .swiper-button-prev{
    position: relative;
    left: inherit !important;
    right: inherit !important;
    -webkit-box-pack: center;
        -ms-flex-pack: center;
            justify-content: center;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
  }
  .frtech-portfolio .swiper-button-prev svg,
  .frtech-portfolio .swiper-button-next svg {
    width: 36px;
    height: 36px;
    min-width: 36px;
    max-width: 36px;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
  }  
  .frtech-portfolio .swiper-buttons .swiper-button-prev{
    -webkit-transform: rotate(180deg);
        -ms-transform: rotate(180deg);
            transform: rotate(180deg);
  }
  .frtech-portfolio .swiper-buttons .swiper-button-prev svg{
    -webkit-transform: none !important;
        -ms-transform: none !important;
            transform: none !important;
  }
  .frtech-portfolio .swiper-buttons .swiper-button-next svg{
    position: relative;
    top: 1px;
  }
  .frtech-footer .top {
    width: 13.8rem;
    height: 13.8rem;
    left: calc(50% - 6.9rem); /* Simplified calculation */
  }
  .frtech-footer .navbar-nav {
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    text-align: center;
    gap: 1rem;
  }
  .frtech-footer .copyright {
    margin-top: 1.788rem;
    text-align: center;
    gap: 0.7rem;
  }
  .frtech-footer .contents {
    padding-top: 10.929rem;
  }
  #signup-modal .modal-dialog {
    bottom: -2rem;
    margin: 0 auto;
    width: 95%;
  }
  .single-portfolio .container{
    padding-top: 8rem;
  }
  .single-portfolio .frtech-navigation .container{
    padding-bottom: 0;
    padding-top: calc(var(--bs-gutter-x) * 3);
  }
  .single-frtech-navigation .navbar-nav{
    padding-bottom: var(--bs-navbar-padding-y);
  }
  .single-portfolio .all-contents .text-image a{
    height: auto;
    width: 100%;
  }
  .frtech-back-to-top svg{
    width: 28px;
    height: 28px;
  }
  .frtech-about-us .all-contents .text-image .text{
    margin-bottom: 2rem;
  }
  #signup-modal .modal-content{
    -webkit-backdrop-filter: none !important;
            backdrop-filter: none !important;
  }
  .frtech-portfolio .port-boxes{
    margin-bottom: 3rem !important;
  }
  .single-frtech-navigation, .archive-page .frtech-navigation{
	-webkit-transform: translateY(0px) !important;
	    -ms-transform: translateY(0px) !important;
	        transform: translateY(0px) !important;
	background: #4a2637 !important;
  }
  .frtech-contact-us .all-contents .text-image .btn{
    margin-bottom: 3rem;
  }
  .frtech-services, .frtech-portfolio, .frtech-about-us, .frtech-footer{
    scroll-margin-top: -6em;
    scroll-snap-align: start;
    scroll-snap-stop: always;
  }
  .archive-page .all-contents .text-image .text{
    margin: 0 !important;
    text-align: center;
  }
  .archive-page .box .image{
    border-radius: 2rem;
  }
  .archive-page .frtech-about-us .all-contents .text-image{
    gap: 2rem;
    padding: 0;
  }
  .breadcrumb{
    --bs-breadcrumb-padding-x : 1rem;
  }
}
/* -------------- End Styles General : < 1200px -------------------------- */


/* -------------- Start Styles : 451px - 576px --------------------------------- */
@media (min-width: 451px) and (max-width: 575.98px) {
  #signup-modal .modal-dialog {
    width: 370px;
    margin: auto;
  }
}
/* -------------- End Styles : 451px - 576px ------------------------------------ */

/* -------------- Start Styles : 992px - 1200px --------------------------------- */
@media (min-width: 992px) and (max-width: 1199.98px) {
  .frtech-hero .container .image .ellipse-big,
  header .ellipse-down,
  header .ellipse-up {
    display: block;
  }

  .frtech-hero .image {
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    -webkit-box-pack: end;
        -ms-flex-pack: end;
            justify-content: flex-end; /* Modern syntax */
    -webkit-box-flex: 0;
        -ms-flex: 0 0 47%;
            flex: 0 0 47%;
  }

  .frtech-hero .container .image .ellipse-big {
    font-size: 12px;
  }

  .frtech-hero .texts .title-text {
    font-size: 1.822rem;
  }

  .frtech-hero .texts {
    text-align: right;
    -webkit-box-flex: 0.5;
        -ms-flex: 0.5 0 53%;
            flex: 0.5 0 53%;
  }

  .frtech-hero .texts .action-btn {
    gap: 1.3333rem;
    -webkit-box-pack: start;
        -ms-flex-pack: start;
            justify-content: flex-start; /* Modern syntax */
  }

  .frtech-footer .contents {
    padding-top: 16.775rem;
  }

  .frtech-footer .top {
    width: 18.75rem;
    height: 18.75rem;
    left: calc(50% - 9.375rem);
  }

  .frtech-footer .navbar-nav {
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
        -ms-flex-direction: row;
            flex-direction: row;
  }

  #signup-modal form .form-text {
    font-size: .865em;
  }
}
/* -------------- End Styles : 992px - 1200px ----------------------------------- */

/* -------------- Start Styles : 1200px - 1320px --------------------------------- */
@media (min-width: 1200px) and (max-width: 1320px) {
  .frtech-hero .texts .title-text {
    font-size: 2.022rem;
  }
  .frtech-portfolio .index-swip {
    height: calc( 100% + 7rem );
  }
  .frtech-services .service-boxes , .single-portfolio .service-boxes {
    gap: 6.25rem 3.7rem;
  }
  .frtech-portfolio .port-boxes{
    margin-bottom: 10rem;
  }
  .frtech-portfolio .container {
    padding-bottom: calc(var(--bs-gutter-x) * 0.9);
  }
  .frtech-portfolio .swiper-button-prev,
  .frtech-portfolio .swiper-button-next {
    background: -webkit-gradient(linear, left bottom, left top, from(#E5B71E), to(hsl(46.5, 25.7%, 58.6%)));
    background: -o-linear-gradient(bottom, #E5B71E 0%, hsl(46.5, 25.7%, 58.6%) 100%);
    background: linear-gradient(0deg, #E5B71E 0%, hsl(46.5, 25.7%, 58.6%) 100%);
    border-radius: 50%;
    width: 56px !important;
    height: 56px !important;
    bottom: -9rem;
    margin-top: 0 !important;
    top: auto;
  }
  .frtech-portfolio .swiper-button-prev svg,
  .frtech-portfolio .swiper-button-next svg {
    padding: 0.8rem;
  }
  .frtech-portfolio .swiper-button-prev {
    right: calc(50% - 76px) !important;
  }
  .frtech-portfolio .swiper-button-next {
    left: calc(50% - 76px) !important;
  }
  #signup-modal .modal-dialog {
    bottom: -6rem;
    margin: 0 auto;
  }
}
/* -------------- End Styles : 1320px ----------------------------------- */

/* -------------- Start Styles : 1400px --------------------------------- */
@media (max-width: 1400px){
  .container * {
    will-change: auto !important;
  }
  
  .frtech-portfolio .port-boxes{
    margin-bottom: 10rem;
  }
  .frtech-portfolio .index-swip {
     /*! height: calc( 100% + 7rem ); */
  }
  
}
/* -------------- End Styles : 1400px ----------------------------------- */


/* FRTech End Responsive Optimized */